
Foreman - Bug #3197

passenger-status does not work.

10/03/2013 11:51 PM - Glen Ogilvie

Status: Closed   

Priority: Normal   

Assignee: Dominic Cleal   

Category: Packaging   

Target version: 1.3.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Installed RPM: rubygem-passenger-4.0.5-3.el6.x86_64

on RHEL6.4, using the foreman installer.

Running: passenger-status  produces the following error:

/usr/lib/ruby/site_ruby/1.8/rubygems/source_index.rb:324:in `search': stack level too deep (SystemStackError)

from /usr/lib/ruby/site_ruby/1.8/rubygems/source_index.rb:323:in `select'

from /usr/lib/ruby/site_ruby/1.8/rubygems/source_index.rb:323:in `search'

from /usr/lib/ruby/site_ruby/1.8/rubygems/source_index.rb:280:in `find_name'

from /usr/lib/ruby/site_ruby/1.8/rubygems.rb:213:in `activate'

from /usr/lib/ruby/site_ruby/1.8/rubygems.rb:1082:in `gem'

from /usr/lib/ruby/gems/1.8/gems/passenger-4.0.5/bin/passenger-status:18

from /usr/lib/ruby/gems/1.8/gems/passenger-4.0.5/bin/passenger-status:19:in `load'

from /usr/lib/ruby/gems/1.8/gems/passenger-4.0.5/bin/passenger-status:19

... 3524 levels...

from /usr/lib/ruby/gems/1.8/gems/passenger-4.0.5/bin/passenger-status:19:in `load'

from /usr/lib/ruby/gems/1.8/gems/passenger-4.0.5/bin/passenger-status:19

from /usr/bin/passenger-status:19:in `load'

from /usr/bin/passenger-status:19

It can be fixed by running:  gem update passenger

Updating installed gems

Updating passenger

Building native extensions.  This could take a while...

Successfully installed passenger-4.0.19

Gems updated: passenger

Installing ri documentation for passenger-4.0.19...

Installing RDoc documentation for passenger-4.0.19...

[root@configmgmt SPECS]# passenger-status

Version : 4.0.19

Date    : Fri Oct 04 12:42:21 +1300 2013

Instance: 3426

----------- General information -----------

Max pool size : 12

Processes     : 0

Requests in top-level queue : 0

----------- Application groups -----------

I had a go at rebuilding the rubygem-passenger SRPM to use 4.0.19 passenger sources.  After successfully

rebuilding the RPM, the new version installed by did the same thing as 4.0.5.   Therefor, I think it's not

version specific, but something in the way the RPM builds passenger.

The RPM spec file for passenger 4.0.19 is attached, as the was a few changes required.

Related issues:
Related to Foreman - Feature #3199: Update Passenger RPM Closed

Associated revisions

Revision 0c218be1 - 10/04/2013 06:11 AM - specs-from-koji (Jenkins) 

Update ruby193-rubygem-passenger to 4.0.5-5.el6

- fixes #3197 - don't write binstubs to gem install's bin/ (dcleal@redhat.com)

Revision 0325a913 - 10/04/2013 07:08 AM - specs-from-koji (Jenkins) 

Update rubygem-passenger to 4.0.5-5.el6

- fixes #3197 - don't write binstubs to gem install's bin/ (dcleal@redhat.com)

Revision 77532a1a - 10/04/2013 07:09 AM - specs-from-koji (Jenkins) 

Update rubygem-passenger to 4.0.5-5.fc18

- fixes #3197 - don't write binstubs to gem install's bin/ (dcleal@redhat.com)

History

#1 - 10/04/2013 10:12 AM - Anonymous

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset rpms:0c218be14f71f42460d4c383d70cd302ff5749ff.

#2 - 10/04/2013 10:15 AM - Dominic Cleal

- Assignee set to Dominic Cleal

- Target version set to 1.3.0

Yep, it was an issue in how the RPM was built, specifically when doing the gem install, it specified --bindir to the same directory that contained the

real "passenger" and "passenger-status" scripts.  This caused them to get overwritten by the stubs, causing the looping effect.  I've fixed this in

4.0.5-5 (will appear in nightlies later today), which I hope we can include in 1.3.0.

https://github.com/theforeman/foreman-packaging/commit/0c218be14f

Thanks for the 4.0.19 refresh, that's much appreciated.  I'm testing this now and it'll go into the nightlies and 1.4.0 (or perhaps a 1.3.1) if it appears to

work OK.

#3 - 10/04/2013 10:17 AM - Dominic Cleal

- Related to Tracker #3112: [TRACKER] Issues to be released in 1.3 RC or final added

#4 - 10/04/2013 10:24 AM - Lukas Zapletal

12:20         Dominic | lzap: for #3197, please just retag the passenger 4.0.5-5 builds into the 1.3 tags

12:20          nudnik | lzap: #3197 is http://theforeman.org/issues/3197 "Bug #3197: passenger-status does not work. - Foreman"

#5 - 10/04/2013 11:01 AM - Dominic Cleal

- Related to Feature #3199: Update Passenger RPM added

#6 - 10/05/2013 07:22 AM - Glen Ogilvie

Dominic Cleal wrote:

Thanks for the 4.0.19 refresh, that's much appreciated.  I'm testing this now and it'll go into the nightlies and 1.4.0 (or perhaps a 1.3.1) if it

appears to work OK.

 One problem, you'll need to correct in that spec, is that when it tries to compress 3 of the man pages, it fails because they are already there as part of

the build I think.

You'll see, when you are testing.  Feel free to diff it with the orginial.

Also, Thank you for fixing the problem.

#7 - 10/07/2013 03:34 PM - Lukas Zapletal
- Related to deleted (Tracker #3112: [TRACKER] Issues to be released in 1.3 RC or final)

#8 - 10/29/2013 07:07 PM - Jon McKenzie

I might be missing something, but it doesn't look like 4.0.5-5 is in the el6 1.3 release on yum.theforeman.org (although it's in the nightly repo). Using

version 4.0.5-4 from the repo still exhibits this issue.

#9 - 10/29/2013 07:11 PM - Dominic Cleal

- translation missing: en.field_release set to 1

Jon McKenzie wrote:

I might be missing something, but it doesn't look like 4.0.5-5 is in the el6 1.3 release on yum.theforeman.org (although it's in the nightly repo).

Using version 4.0.5-4 from the repo still exhibits this issue.

 You're right, looks like only one of the two builds was tagged.  Fixing this now ready for 1.3.1.  Thanks for letting us know!

#10 - 10/15/2018 01:46 PM - Tomer Brisker

- Category changed from 21 to Packaging

Files

rubygem-passenger.spec 16.7 KB 10/03/2013 Glen Ogilvie
